Name: userdrake
Version: 0.3
Release: alt7

Packager: Konstantin Volckov <goldhead@altlinux.ru>

Summary: Tool to edit the user/group base on your system

Source0: %name-%version.tar.bz2
Source1: %name.menu
Source2: %name-logo-alt.xpm.bz2
Source3: %name-ru.po.bz2

Patch1: %name-0.3-alt.patch
Patch2: %name-0.3-be_locale.patch

Patch3: %name-0.3-passwd.patch
Patch4: %name-0.3-alt-faces.patch

License: GPL
Group: System/Configuration/Other

PreReq: design-graphics, findutils, shadow-utils

BuildPreReq: rpm-build >= 4.0.4-alt10, autoconf = 2.13, automake = 1.4

%set_autoconf_version 2.13
%set_automake_version 1.4

# Automatically added by buildreq on Thu Jan 23 2003
BuildRequires: XFree86-devel XFree86-libs gdk-pixbuf-devel glib-devel gtk+-devel libglade-devel libldap-devel libpam-devel libssl

%description
Userdrake is a user-friendly and powerful tool to add/edit/remove users
from your Linux system.

%prep
%setup -q
bzcat %SOURCE2>pixmaps/mandrake-logo.xpm
bzcat %SOURCE3>po/ru.po

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
autoconf
%configure
%make_build CFLAGS="$RPM_OPT_FLAGS"

%install
%makeinstall
mkdir -p $RPM_BUILD_ROOT/%_iconsdir/
mkdir -p $RPM_BUILD_ROOT/%_liconsdir/
mkdir -p $RPM_BUILD_ROOT/%_miconsdir/
mv $RPM_BUILD_ROOT/%_datadir/%name/pixmaps/%{name}16.png $RPM_BUILD_ROOT/%_miconsdir/%name.png
mv $RPM_BUILD_ROOT/%_datadir/%name/pixmaps/%{name}32.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mv $RPM_BUILD_ROOT/%_datadir/%name/pixmaps/%{name}48.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_menudir/
install %SOURCE1 $RPM_BUILD_ROOT/%_menudir/%name

mkdir -p $RPM_BUILD_ROOT%_sysconfdir/{pam.d,security/console.apps}

cat <<EOF >$RPM_BUILD_ROOT%_sysconfdir/pam.d/%name
#%PAM-1.0
auth       sufficient	/lib/security/pam_rootok.so
auth       required    /lib/security/pam_stack.so service=system-auth
session    optional	/lib/security/pam_xauth.so
account    required	/lib/security/pam_permit.so
EOF

cat <<EOF >$RPM_BUILD_ROOT%_sysconfdir/security/console.apps/%name
USER=root
PROGRAM=/usr/sbin/userdrake.real
SESSION=true
FALLBACK=true
EOF

mkdir -p $RPM_BUILD_ROOT%_sbindir
mv $RPM_BUILD_ROOT%_bindir/userdrake $RPM_BUILD_ROOT%_sbindir/userdrake.real
ln -s %_bindir/consolehelper $RPM_BUILD_ROOT%_bindir/userdrake

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root)%_bindir/*
%attr(755,root,root)%_sbindir/*
%_datadir/%name/*
%config(noreplace) %_sysconfdir/security/console.apps/*
%config(noreplace) %_sysconfdir/pam.d/*
%_menudir/%name
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Thu Jan 23 2003 Stanislav Ievlev <inger@altlinux.ru> 0.3-alt7
- fixed facesdir

* Thu Oct 24 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.3-alt6
- Rebuilt in new environment

* Mon Feb 04 2002 Stanislav Ievlev <inger@altlinux.ru> 0.3-alt5
- new version. passwd now works 

* Thu Dec 27 2001 Stanislav Ievlev <inger@altlinux.ru> 0.3-alt4
- added Belarusian translation

* Mon Nov 26 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.3-alt3
- Fixed mandrake-logo.xpm (New image).
- Fixed russian translation
- Patched Mandrake->ALT Linux
- Removed COPYING from %doc (because it's GPL)

* Thu Nov 22 2001 Stanislav Ievlev <inger@altlinux.ru> 0.3-alt2
- clear specfile and building

* Tue Nov 15 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.3-alt1
- Adopted for Sisyphus

* Tue Oct 23 2001 Vincent Saugey <vince@mandrakesoft.com> 0.3-9mdk
- Rebuild with new png lib.

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 0.3-8mdk
- BuildRequires: libldap2-devel

* Mon Sep 24 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.3-7mdk
- rebuild including latest translations

* Fri Sep 21 2001 Vincent Saugey <vince@mandrakesoft.com> 0.3-6mdk
- Fix passwd change in ldap

* Thu Sep 20 2001 Vincent Saugey <vince@mandrakesoft.com> 0.3-5mdk
- Use start/tls by default

* Tue Sep 18 2001 Vincent Saugey <vince@mandrakesoft.com> 0.3-4mdk
- now, can be launch as user
- Make edit file systeme by default
- Correct mask for save conf file

* Mon Sep 10 2001 Vincent Saugey <vince@mandrakesoft.com> 0.3-3mdk
- Add ldap rfc2307bis support
- Change some small think in interface
- now you can choose a default group and all new users will be attach to it

* Tue Apr 10 2001 Vincent Saugey <vince@mandrakesoft.com> 0.3-2mdk
- Fix bug in parser passwd and group
- reomve patch for embeded version

* Tue Feb  6 2001 dam's <damien@mandrakesoft.com> 0.3-1mdk
- added embededd mode (patch0 + main.h in the source)

* Thu Jan 11 2001 David BAUDENS <baudens@mandrakesoft.com> 0.2-5mdk
- BuildRequires: pam-devel

* Fri Nov 24 2000 Vincent Saugey <vince@mandrakesoft.com> 0.2-4mdk
- Bug Fix for passwd setting when userdrake is using without shadow passwd #1546

* Thu Oct 19 2000 Vincent Saugey <vince@mandrakesoft.com> 0.2-3mdk
- unset umask at begin
- corrected some po file

* Tue Oct 10 2000 Vincent Saugey <vince@mandrakesoft.com> 0.2-2mdk
- Add default group only and secure level lesser than 3

* Mon Oct  9 2000 Vincent Saugey <vince@mandrakesoft.com> 0.2-1mdk
- Remove circular reference
- Use console helper

* Mon Oct  9 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-9mdk
- Add faces pixmaps to applications

* Mon Oct  9 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-8mdk
- Some changes
- Add passwd frame in add user window
- Fix english typo fault
- Update french po

* Sun Oct  8 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-7mdk
- Many Many changes
- Adding msec group by default when adding a user
- Message box at startup if user not root
- Message box at startup if user lib lock
- Recode face management another time
- Remove debug messages
- Move autologin flag in setting
- Change menu order in view menu
- Fix a lot of bug
- Many other change

* Fri Oct  6 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-6mdk
- Fix some little bug
- Faces code changed
- Managment of default face

* Thu Oct  5 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-5mdk
- Fix desktop for autologin
- some typo correction

* Wed Oct  4 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-4mdk
- Correct chaine for autologin

* Tue Oct  3 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-3mdk
- Add autologging support

* Fri Sep 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.1beta-2mdk
- add Requires: kdesu
- removed silly Obsoletes: DrakeMenu
- use an english-compliant %%description tag

* Wed Sep 27 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1beta-1mdk
- First beta release ouf !!!

